aboutsummaryrefslogtreecommitdiff
path: root/init.d.BSD/hostid
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-02 21:13:21 +0000
committerRoy Marples <roy@marples.name>2008-03-02 21:13:21 +0000
commita12dbdc6c93a7d63591610378e3e570b7c7d2143 (patch)
tree22cd968f4bb32bedf82e091c9ffee798d247c51e /init.d.BSD/hostid
parent7c092fbc7904be18510eed08c72cbad974db8adc (diff)
Don't check for root in prefix.
Diffstat (limited to 'init.d.BSD/hostid')
-rw-r--r--init.d.BSD/hostid78
1 files changed, 0 insertions, 78 deletions
diff --git a/init.d.BSD/hostid b/init.d.BSD/hostid
deleted file mode 100644
index 3eb4c4fe..00000000
--- a/init.d.BSD/hostid
+++ /dev/null
@@ -1,78 +0,0 @@
-#!/sbin/runscript
-# Copyright 2007-2008 Roy Marples <roy@marples.name>
-# All rights reserved. Released under the 2-clause BSD license.
-
-extra_commands="reset"
-hostid_file=${hostid_file:-/etc/hostid}
-
-depend()
-{
- need root
- before devd net
- keyword nojail
-}
-
-_set()
-{
- local id=0
-
- if [ -n "$1" ]; then
- id=$(echo "$1" | md5)
- id="0x${id%????????????????????????}"
- fi
- ebegin "Setting Host ID: ${id}"
- sysctl -w kern.hostid="${id}" >/dev/null
- eend $? || return 1
-
- if sysctl -n kern.hostuuid >/dev/null 2>&1; then
- [ -n "$1" ] && id=$1
- ebegin "Setting Host UUID: ${id}"
- sysctl kern.hostuuid="${id}" >/dev/null
- eend $? || return 1
- fi
-
-}
-
-# First we check to see if there is a system UUID
-# If so then we use that and erase the hostid file,
-# otherwise we generate a random UUID.
-reset()
-{
- local uuid=$(kenv smbios.system.uuid 2>/dev/null)
- local x="[0-9a-f]"
- local y="${x}${x}${x}${x}"
- case "${uuid}" in
- ${y}${y}-${y}-${y}-${y}-${y}${y}${y});;
- *) uuid=;;
- esac
-
- if [ -n "${uuid}" ]; then
- rm -f "${hostid_file}"
- else
- uuid=$(uuidgen)
- if [ -z "${uuid}" ]; then
- eerror "Unable to generate a UUID"
- return 1
- fi
- if ! echo "${uuid}" > "${hostid_file}"; then
- eerror "Failed to store UUID in \`${hostid_file}'"
- return 1
- fi
- fi
-
- _set "${uuid}"
-}
-
-start()
-{
- if [ -r "${hostid_file}" ]; then
- _set $(cat "${hostid_file}")
- else
- reset
- fi
-}
-
-stop()
-{
- _set
-}